gp8403:
  id: dac_10v
  voltage: 10V

output:
  - platform: gp8403
    id: gp8403_ch0
    gp8403_id: dac_10v
    channel: 0
    min_power: 0.10
    max_power: 1.0
    zero_means_zero: true
  - platform: gp8403
    id: gp8403_ch1
    gp8403_id: dac_10v
    channel: 1
    min_power: 0.10
    max_power: 1.0
    zero_means_zero: true

fan:
  - platform: speed
    output: gp8403_ch0
    id: fan_speed
    name: "Fan"
    restore_mode: RESTORE_DEFAULT_ON
  - platform: speed
    output: gp8403_ch1
    id: light_level
    name: "Light"
    restore_mode: RESTORE_DEFAULT_ON

prometheus:
  relabel:
    fan_speed:
      id: fan_speed
      name: "Fan Speed"
    light_level:
      id: light_level
      name: "Light Level"
